Package fr.gouv.vitam.storage.offers.tape.worker

# Class TapeDriveWorker

java.lang.Object
fr.gouv.vitam.storage.offers.tape.worker.TapeDriveWorker

All Implemented Interfaces:
  `Runnable`

public class TapeDriveWorker extends Object implements Runnable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TapeDriveWorker(TapeRobotPool tapeRobotPool, TapeDriveService tapeDriveService, TapeCatalogService tapeCatalogService, TapeDriveOrderConsumer receiver, ArchiveReferentialRepository archiveReferentialRepository, AccessRequestManager accessRequestManager, TapeCatalog currentTape, String inputTarPath, boolean forceOverrideNonEmptyCartridges, ArchiveCacheStorage archiveCacheStorage, int fullCartridgeDetectionThresholdInMB)`
  `TapeDriveWorker(TapeRobotPool tapeRobotPool, TapeDriveService tapeDriveService, TapeCatalogService tapeCatalogService, TapeDriveOrderConsumer receiver, ArchiveReferentialRepository archiveReferentialRepository, AccessRequestManager accessRequestManager, TapeCatalog currentTape, String inputTarPath, long sleepTime, boolean forceOverrideNonEmptyCartridges, ArchiveCacheStorage archiveCacheStorage, int fullCartridgeDetectionThresholdInMB)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getIndex()`
  `void`
  `initializeOnBootstrap()`
  `boolean`
  `isRunning()`
  `void`
  `run()`
  `void`
  `stop()`
  `void`
  `stop(long timeout, TimeUnit timeUnit)`
  `static void`
  `updateInactivitySleepDelayForTesting()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TapeDriveWorker

    public TapeDriveWorker(TapeRobotPool tapeRobotPool, TapeDriveService tapeDriveService, TapeCatalogService tapeCatalogService, TapeDriveOrderConsumer receiver, ArchiveReferentialRepository archiveReferentialRepository, AccessRequestManager accessRequestManager, TapeCatalog currentTape, String inputTarPath, long sleepTime, boolean forceOverrideNonEmptyCartridges, ArchiveCacheStorage archiveCacheStorage, int fullCartridgeDetectionThresholdInMB)

  - ### TapeDriveWorker

    public TapeDriveWorker(TapeRobotPool tapeRobotPool, TapeDriveService tapeDriveService, TapeCatalogService tapeCatalogService, TapeDriveOrderConsumer receiver, ArchiveReferentialRepository archiveReferentialRepository, AccessRequestManager accessRequestManager, TapeCatalog currentTape, String inputTarPath, boolean forceOverrideNonEmptyCartridges, ArchiveCacheStorage archiveCacheStorage, int fullCartridgeDetectionThresholdInMB)

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`

  - ### stop

    public void stop()

  - ### stop

    public void stop(long timeout, TimeUnit timeUnit) throws TimeoutException
    Throws:
      `TimeoutException`

  - ### isRunning

    public boolean isRunning()

  - ### getIndex

    public int getIndex()

  - ### initializeOnBootstrap

    public void initializeOnBootstrap() throws ReadWriteException, TapeCatalogException
    Throws:
      `ReadWriteException`
      `TapeCatalogException`

  - ### updateInactivitySleepDelayForTesting

    public static void updateInactivitySleepDelayForTesting()